summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--config/coreboot/default/nuke.list19
-rw-r--r--config/coreboot/fam15h/nuke.list1
-rw-r--r--include/get.sh3
3 files changed, 22 insertions, 1 deletions
diff --git a/config/coreboot/default/nuke.list b/config/coreboot/default/nuke.list
new file mode 100644
index 00000000..7e5ba3b5
--- /dev/null
+++ b/config/coreboot/default/nuke.list
@@ -0,0 +1,19 @@
+3rdparty/fsp/EagleStreamFspBinPkg
+3rdparty/fsp/AlderLakeFspBinPkg
+3rdparty/fsp/MeteorLakeFspBinPkg
+3rdparty/fsp/IceLakeFspBinPkg
+3rdparty/fsp/AmberLakeFspBinPkg
+3rdparty/fsp/DenvertonNSFspBinPkg
+3rdparty/fsp/TigerLakeFspBinPkg
+3rdparty/fsp/CedarIslandFspBinPkg
+3rdparty/fsp/ElkhartLakeFspBinPkg
+3rdparty/fsp/CometLakeFspBinPkg
+3rdparty/fsp/WhitleyFspBinPkg
+3rdparty/fsp/ArrowLakeFspBinPkg
+3rdparty/fsp/IdavilleFspBinPkg
+3rdparty/fsp/BraswellFspBinPkg
+3rdparty/fsp/CoffeeLakeFspBinPkg
+3rdparty/fsp/RaptorLakeFspBinPkg
+3rdparty/fsp/ApolloLakeFspBinPkg
+3rdparty/fsp/SkylakeFspBinPkg
+3rdparty/vboot/tests
diff --git a/config/coreboot/fam15h/nuke.list b/config/coreboot/fam15h/nuke.list
new file mode 100644
index 00000000..8ca7a4cf
--- /dev/null
+++ b/config/coreboot/fam15h/nuke.list
@@ -0,0 +1 @@
+3rdparty/vboot/tests
diff --git a/include/get.sh b/include/get.sh
index 08a561d9..6f1b5f1d 100644
--- a/include/get.sh
+++ b/include/get.sh
@@ -104,7 +104,8 @@ try_file()
echk="d" && [ "$2" != "git" ] && echk="f" && \
bad_checksum "$6" "$cached" 2>/dev/null && x_ rm -f "$cached"
- eval "[ -$echk \"$cached\" ] || try_$2 \"\$cached\" \"\$@\" || return 1"
+ evalchk="[ -$echk \"$cached\" ] || " && [ "$2" = "git" ] && evalchk=""
+ eval "${evalchk}try_$2 \"\$cached\" \"\$@\" || return 1"
[ "$2" != "git" ] && [ -f "$5" ] && \
bad_checksum "$6" "$5" 2>/dev/null && x_ cp "$cached" "$5"
eval "[ -$echk \"$cached\" ] || return 1"